Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class WebserviceDescriptionTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.WebserviceDescriptionTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, WebserviceDescriptionType<T>

    public class WebserviceDescriptionTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WebserviceDescriptionType<T>

This class implements the `webservice-descriptionType` xsd type

Original Documentation:

Runtime information about a web service.
wsdl-publish-location is optionally used to specify
where the final wsdl and any dependent files should be stored. This location
resides on the file system from which deployment is initiated.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebserviceDescriptionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WebserviceDescriptionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getWebserviceDescriptionName()` Returns the `webservice-description-name` element
`java.lang.String` | `getWsdlPublishLocation()` Returns the `wsdl-publish-location` element
`WebserviceDescriptionType<T>` | `removeConfigFile()` Removes the `config-file` element
`WebserviceDescriptionType<T>` | `removeConfigName()` Removes the `config-name` element
`WebserviceDescriptionType<T>` | `removeWebserviceDescriptionName()` Removes the `webservice-description-name` element
`WebserviceDescriptionType<T>` | `removeWsdlPublishLocation()` Removes the `wsdl-publish-location` element
`WebserviceDescriptionType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setWebserviceDescriptionName(java.lang.String webserviceDescriptionName)` If not already created, a new `webservice-description-name` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setWsdlPublishLocation(java.lang.String wsdlPublishLocation)` If not already created, a new `wsdl-publish-location` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebserviceDescriptionTypeImpl

    public WebserviceDescriptionTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### WebserviceDescriptionTypeImpl

    public WebserviceDescriptionTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setWebserviceDescriptionName

    public WebserviceDescriptionType<T> setWebserviceDescriptionName(java.lang.String webserviceDescriptionName)

  If not already created, a new `webservice-description-name` element with the given value will be created. Otherwise, the existing `webservice-description-name` element will be updated with the given value.

  Specified by:
    `setWebserviceDescriptionName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### removeWebserviceDescriptionName

    public WebserviceDescriptionType<T> removeWebserviceDescriptionName()

  Removes the `webservice-description-name` element

  Specified by:
    `removeWebserviceDescriptionName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### getWebserviceDescriptionName

    public java.lang.String getWebserviceDescriptionName()

  Returns the `webservice-description-name` element

  Specified by:
    `getWebserviceDescriptionName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the node defined for the element `webservice-description-name`

### setConfigName

    public WebserviceDescriptionType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Specified by:
    `setConfigName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### removeConfigName

    public WebserviceDescriptionType<T> removeConfigName()

  Removes the `config-name` element

  Specified by:
    `removeConfigName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### getConfigName

    public java.lang.String getConfigName()

  Returns the `config-name` element

  Specified by:
    `getConfigName` in interface `WebserviceDescriptionType<T>`
  Returns:
    the node defined for the element `config-name`

### setConfigFile

    public WebserviceDescriptionType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Specified by:
    `setConfigFile` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### removeConfigFile

    public WebserviceDescriptionType<T> removeConfigFile()

  Removes the `config-file` element

  Specified by:
    `removeConfigFile` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### getConfigFile

    public java.lang.String getConfigFile()

  Returns the `config-file` element

  Specified by:
    `getConfigFile` in interface `WebserviceDescriptionType<T>`
  Returns:
    the node defined for the element `config-file`

### setWsdlPublishLocation

    public WebserviceDescriptionType<T> setWsdlPublishLocation(java.lang.String wsdlPublishLocation)

  If not already created, a new `wsdl-publish-location` element with the given value will be created. Otherwise, the existing `wsdl-publish-location` element will be updated with the given value.

  Specified by:
    `setWsdlPublishLocation` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### removeWsdlPublishLocation

    public WebserviceDescriptionType<T> removeWsdlPublishLocation()

  Removes the `wsdl-publish-location` element

  Specified by:
    `removeWsdlPublishLocation` in interface `WebserviceDescriptionType<T>`
  Returns:
    the current instance of `WebserviceDescriptionType`

### getWsdlPublishLocation

    public java.lang.String getWsdlPublishLocation()

  Returns the `wsdl-publish-location` element

  Specified by:
    `getWsdlPublishLocation` in interface `WebserviceDescriptionType<T>`
  Returns:
    the node defined for the element `wsdl-publish-location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD